<?php

/*
=====================================================================

  프로젝트 이름 : 피리 게시판 추천 기능

  만든사람 : 피리 PIREE

  홈페이지 : www.piree.kr

  작업날짜 : 2021년 11월 07일 일요일 오후 14시 13분 - 날씨 맑음, 20.1, 19, 6, 0%, 3.8ms, 5% / 좋음, 26, 13

  저 작 권 : Copyright ⓒ 2023 피리 PIREE . All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 > 피리 기본 관리 > 라이브러리 > 피리 웹프로그램 > 스키 관련
=====================================================================

//*****************************************************************
//** SAM_SOSS
//*****************************************************************

*/

/*
  ▣ 작업자 : 피리 PIREE ( piree1977@gmail.com )
  ▣ 작업일시 : 2020년 07월 24일 금요일 오전 05시 23분 - 날씨
  ▣ 작업내용 :
*/

  IF ( !defined('_GNUBOARD_') )                  EXIT;

  function piree_skin_list_get($func_upper_s='', $func_prog_n=0, $func_sub_dir_c='', $func_version_do=0, $func_version_s='')
  {

      $func_skin_base_s = '';

      $func_skin_return_a = array();

      IF ( $func_upper_s )
      {

          IF ( is_dir($func_upper_s) )
          {

              $func_skin_base_s = $func_upper_s;

          }

      }
      ELSE IF ( $func_prog_n > 0 )
      {

          $func_skin_base_s = get__file_path($func_prog_n, PIREE_PATH, '', $func_version_do, $func_version_s) . $func_sub_dir_c;

      }

      IF ( $func_skin_base_s )
      {

          $handle = opendir($func_skin_base_s);

          WHILE ( $file = readdir($handle) )
          {

              IF ( $file == '.'||$file == '..' )
              {
                  continue;
              }

              IF ( is_dir($func_skin_base_s .'/'. $file) )
              {
                  $func_skin_return_a[] = $file;
              }

          }

          closedir($handle);

          sort($result_array);

      }

      return $func_skin_return_a;

  }

?>